<div class="modal fade" id="update_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content rounded">
            <div class="modal-header justify-content-between border-0 pb-0" id="update_vehicle_header">
                <h1 class="mb-3 title-modal">Клиент</h1>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <hr class="line-modal">
            <form id="vehicle_update">
                <div class="modal-body pt-0 pb-5 px-5">
                    <div class="d-flex flex-column">
                        <div class="row mt-4 scroll-y " data-kt-scroll="true"
                             id="update_vehicle_scroll"
                             data-kt-scroll-activate="{default: false, lg: true}"
                             data-kt-scroll-max-height="auto"
                             data-kt-scroll-dependencies="#update_vehicle_header"
                             data-kt-scroll-wrappers="#update_vehicle_scroll" data-kt-scroll-offset="300px">
                            <div class="col-12">
                                <label for="name">И.М.О <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="full_nameE" required>
                                <label for="name">Номер телефон <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="phone_numberE"
                                       required>
                                <label for="name">Почта <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="email" id="emailE" required>
                                <label for="name">Код мобильного оператора <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="operator_codeE"
                                       required>
                                <label for="name">Тег (произвольная метка)</label>
                                <input class="form-control form-input min-h-40px" type="text" id="tagE">
                                <label for="name">Часовой пояс</label>
                                <select class="form-select form-select-solid form-input min-h-40px"
                                        data-dropdown-parent="#add_vehicle" id="timezoneE"
                                        data-hide-search="true" data-placeholder="Компоненты">
                                    <option></option>
                                    {% for timezone in timezones %}
                                        <option value="{{ timezone }}">{{ timezone }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="line-modal">
                <div class="modal-body pt-0 pb-5 px-7">
                    <div class="d-flex justify-content-end flex-row-fluid pt-2">
                        <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                        <button type="submit" class="btn btn-primary">Изменить</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    $("#componentsE").select2({
        closeOnSelect: false,
    })

    $("#phone_numberE").inputmask({
        "mask": "+7 (ddd) ddd-dd-dd",
    });

    let update_client_url = "";
    $('.update_vehicle').click(function () {
        update_client_url = $(this).data('url');

        $.getJSON(`${update_client_url}`, function (data) {
            $("#full_nameE").val(data.full_name);
            $("#emailE").val(data.email);
            $("#phone_numberE").val(data.phone_number);
            $("#operator_codeE").val(data.operator_code);
            $("#tagE").val(data.tag);
            $("#timezoneE").val(data.timezone).trigger('change');
        });
    });

    $("#vehicle_update").submit(function (event) {
        event.preventDefault();
        let clientData = new FormData();
        clientData.append("full_name", $("#full_nameE").val());
        clientData.append("email", $("#emailE").val());
        clientData.append("phone_number", $("#phone_numberE").val().replace(/\D/g, ''));
        clientData.append("operator_code", $("#operator_codeE").val());
        clientData.append("tag", $("#tagE").val());
        clientData.append("timezone", $("#timezoneE").val());


        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: update_client_url,
            processData: false,
            contentType: false,
            method: 'PATCH',
            data: clientData,
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                Swal.fire({
                    title: 'Проверьте Ваши данные ещё раз!',
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }

        });
    });

</script>